version: '3.8'

services:
  gateway:
    image: nginx:alpine
    container_name: rent-gateway
    restart: always
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - ../nginx/gateway/gateway.conf:/etc/nginx/nginx.conf:ro
    networks:
      - rent-prod
      - rent-test

networks:
  rent-prod:
    external: true
  rent-test:
    external: true
